spring.data.mongodb.uri= mongodb://admin:admin@localhost:27173/dms

spring.data.mongodb.username=admin
spring.data.mongodb.password=admin

spring.data.mongodb.database=dms

spring.data.mongodb.host=localhost
spring.data.mongodb.port=27173

spring.servlet.multipart.max-file-size=50MB
spring.servlet.multipart.max-request-size=50MB

#multipart settings
multipart.maxFileSize=50MB
multipart.maxRequestSize=50MB

virus.scanner.connect.host=localhost
virus.scanner.connect.port=3310
virus.scanner.enable=false

convertion.path=/home/demo/storage/convertion/

storage.path=/home/demo/storage/test/

session.expiration.time=500000

spring.kafka.bootstrap-servers=10.10.14.206:9092
spring.kafka.producer.key-serializer=org.apache.kafka.common.serialization.StringSerializer
spring.kafka.producer.value-serializer=com.documentViewer.kafka.ObjectSerializer
reconnect.backoff.max.ms=10000
reconnect.backoff.ms=10000

unique.reference =Afnic
#unique.reference = Common

bulkupload.file.path=/home/demo/storage/bulkUpload/

#server.port=9000

smtp.host=smtp.gmail.com
smtp.port=587
smtp.username=lowcodetesting@gmail.com
smtp.password=plapzxeutbapoirr
smtp.fromMail=lowcodetesting@gmail.com

encryptionKey=edberkdaviertyut
mainApphostAndPort=localhost:8080
kafkaHostAndPort=localhost:2181
zookeeperHostAndPort=localhost:9092
consumerHostAndPort=localhost:8090
mongoDataBasesHostsAndPorts=localhost:27173,localhost:27018

isKafkaEnabled=false
excelMaxBinaryLength= 51297221

# if database.type=2 or 1 these credentials are required
fileserver.connection.host=10.10.14.191
fileserver.connection.port=22
fileserver.connection.username=fldmsadmin
fileserver.connection.password=fldmsAdmin@123
fileserver.connection.remotepath=fileServer
fileserver.storage.path=/home/demo/storage/test/

# 1 - mongo & fileserver, 2 - fileserver , 3 - mongo
database.type=4

barcode.scanner.url=http://127.0.0.1:5000/uploadNew

highlight.url=http://127.0.0.1:5000/highlight

allowed.origins=https://hrms.codeboardtech.com,https://dms.codeboardtech.com

jwtSecret=926D96C90030DD58429D2751AC1BDBBC
jwtExpirationMs=86400000

server.port=7010
#server.ssl.key-store=file:/mnt/keystore.p12
#server.ssl.key-store-password=yourpassword
#server.ssl.keyStoreType=PKCS12
#server.ssl.keyAlias=tomcat


main.url=https://dms.codeboardtech.com/
backend.url=https://dms.codeboardtech.com/
oauth-tenant-id=ff45a176-ec55-4980-9c8b-ed2a29cd2835
oauth-client-id=3084549e-0b07-4a98-b0bc-4e8987ff33f0
oauth-client-secret=f7N8Q~3kAYQ1h~dS6rTd4kocNvTI7lmhDFGwscha

template.reference=P/5136/4669/a401

digiSignUrl=https://dms.codeboardtech.com/#/digiSign/

font.storage=/var/www/DMS/Viewer/fonts/Storage/
FONT_PATH=/var/www/DMS/Viewer/fonts/Storage/Helvetica.ttf
createDocUrl=https://dms.codeboardtech.com/template/createDocument

s3.accesskey=AKIAYARWEFM4IG7HSUG7
s3.secretkey=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
s3.bucketName=cbt-hrms
s3.region=ap-south-1

template.font.storage=/var/www/DMS/Viewer/fonts/Storage/

default.font=helvetica

customerIds=6682941d4714de6738041b5a,652f8925804130ddaca930ff,652f6d265a95617717c993d4,66838ff14aa74e413549a0b8,668390374aa74e413549a0bb,668390744aa74e413549a0be,668390d34aa74e413549a0c1,668391274aa74e413549a0c4,668391604aa74e413549a0c7,668391974aa74e413549a0ca,668391d64aa74e413549a0cd,668395674aa74e43d5cbec56,668395674aa74e43d5cbec56,
defaultTempId=668e18792b9a232760946a66

jodconverter.local.port-numbers=2002
jodconverter.local.kill-existing-process=true
jodconverter.local.office-home=/usr/lib/libreoffice
#jodconverter.local.office-home=/home/demo/DMS/LibreOffice/extracted/opt/libreoffice24.2
convertToPdf=false
preview.path=/home/demo/storage/preview/
preview.file.path=/home/demo/storage/preview/msg/

azure.from.email=info-hrms@codeboardtech.com
azure.mail.client.id=2d808a04-51cd-4d8f-84ba-e2fca7c31981
azure.mail.client.secret=QpSg3RUP_O.iSy6R.TD9deO.ihg65931.p
azure.mail.tenant.id=ff45a176-ec55-4980-9c8b-ed2a29cd2835
azure.mail.username=info-hrms@codeboardtech.com
azure.mail.password=HP5cx21Ypuca6MIo
azure.scope=https://graph.microsoft.com/.default
azure.grantType=client_credentials
admin.email=info-hrms@codeboardtech.com
